#!/bin/sh
# share-ppd-tc.sh : test case for /usr/share/ppd directory

tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1"
ic1="tp1"

tp1()
{
	tpstart "Reference LSB-Printing, Chapter 9"
	tet_infoline "The /usr/share/ppd directory (or symbolic link) exists"
	lsb_test_dir_searchable /usr/share/ppd >out.stdout  2>out.stderr
	check_exit_value $? 0		# should be zero
	check_nostdout			# should be no stdout
	check_nostderr			# should be no stderr
	tpresult				# set result code
}

startup() # startup function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}


cleanup() # clean-up function
{
     rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

TET_ROOT=/opt/lsb-tet3-lite
# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh

